RegionRoleException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: RegionRoleException

Package org.apache.geode.cache

# Class RegionRoleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.RoleException
org.apache.geode.cache.RegionRoleException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RegionAccessException`, `RegionDistributionException`

@Deprecated public abstract class RegionRoleException extends RoleException
Deprecated.
this feature is scheduled to be removed
Indicates that a `Region` reliability failure has occurred. Reliability for a `Region` is defined by its `MembershipAttributes`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionRoleException(String s, String regionFullPath)`
  Deprecated.
  Constructs a `RegionRoleException` with a message.
  `RegionRoleException(String s, String regionFullPath, Throwable ex)`
  Deprecated.
  Constructs a `RegionRoleException` with a message and a cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRegionFullPath()`
  Deprecated.
  Returns the full path of the region for which access was attempted.

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegionRoleException

    public RegionRoleException(String s, String regionFullPath)
    Deprecated.
    Constructs a `RegionRoleException` with a message.
    Parameters:
      `s` - the String message
      `regionFullPath` - full path of region for which access was attempted

  - ### RegionRoleException

    public RegionRoleException(String s, String regionFullPath, Throwable ex)
    Deprecated.
    Constructs a `RegionRoleException` with a message and a cause.
    Parameters:
      `s` - the String message
      `regionFullPath` - full path of region for which access was attempted
      `ex` - the Throwable cause

- ## Method Details

  - ### getRegionFullPath

    public String getRegionFullPath()
    Deprecated.
    Returns the full path of the region for which access was attempted.
    Returns:
      the full path of the region for which access was attempted